%define name perl-IO-stringy
%define real_name IO-stringy
%define version 1.209

Summary: Perl module for I/O on in-core objects like strings and arrays
Name: %{name}
Version: %{version}
Release: 1mdk
Copyright: GPL
Group: Development/Perl
Buildroot: %{_tmppath}/%{name}-root
Source: ftp://ftp.pasteur.fr/pub/computing/CPAN/modules/by-module/IO/%{real_name}-%{version}.tar.bz2
Prefix: %{_prefix}

%description
This toolkit primarily provides modules for performing both traditional
and object-oriented i/o) on things *other* than normal filehandles; in
particular, the IO::Scalar manpage, the IO::ScalarArray manpage, and the
IO::Lines manpage.

If you have access to tie(), these classes will make use of the the
IO::WrapTie manpage module to inherit a convenient new_tie()
constructor. It also exports a nice wraptie() function.

In the more-traditional IO::Handle front, we have the IO::AtomicFile
manpage which may be used to painlessly create files which are updated
atomically.

And in the "this-may-prove-useful" corner, we have the IO::Wrap manpage,
whose exported wraphandle() function will clothe anything that's not a
blessed object in an IO::Handle-like wrapper... so you can just use OO
syntax and stop worrying about whether your function's caller handed you
a string, a globref, or a FileHandle.


%prep
%setup -q -n %{real_name}-%{version}

%build
perl Makefile.PL PREFIX=%{prefix}
make OPTIMIZE="$RPM_OPT_FLAGS" PREFIX=%{prefix}
make test

%install
rm -rf $RPM_BUILD_ROOT
make install PREFIX="$RPM_BUILD_ROOT/%{prefix}"
bzip2 -9f $RPM_BUILD_ROOT%{prefix}/lib/perl5/man/man3/*.3

%files
%defattr(-,root,root)
/usr/lib/perl5/site_perl/*/*/auto/*
/usr/lib/perl5/site_perl/*/*/[A-Z]*
/usr/lib/perl5/man/*/*

%changelog
* Mon Apr  3 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.209-1mdk
- 1.209
- fixed group
- rebuild with new perl
- fixed location

* Thu Dec  2 1999 Jerome Dumonteil <jd@mandrakesoft.com>

- first version of rpm.
